pragma ComponentBehavior: Bound
import QtQuick
import QtQuick.Controls
import QtQuick.Layouts

Page {
    id: page

    title: qsTr("Login")

    ColumnLayout {
        Label {
            text: qsTr("&User:")
        }

        TextField {
            id: user

            focus: true

            validator: RegularExpressionValidator {
                regularExpression: /[^s].*/
            }

            onAccepted: function () {
                loginAction.trigger();
            }
        }

        Label {
            text: qsTr("&Password:")
        }

        TextField {
            id: password

            echoMode: TextInput.Password

            onAccepted: function () {
                loginAction.trigger();
            }
        }

        Button {
            action: loginAction
        }
    }

    Action {
        id: loginAction

        enabled: user.acceptableInput
        text: "&Login"

        onTriggered: function () {
            Database.open(user.text, password.text);
        }
    }
}
